aboutsummaryrefslogtreecommitdiffstats
path: root/community/fastjar/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/fastjar/APKBUILD')
-rw-r--r--community/fastjar/APKBUILD52
1 files changed, 52 insertions, 0 deletions
diff --git a/community/fastjar/APKBUILD b/community/fastjar/APKBUILD
new file mode 100644
index 0000000000..fb52120439
--- /dev/null
+++ b/community/fastjar/APKBUILD
@@ -0,0 +1,52 @@
+# Contributor: Timo Teras <timo.teras@iki.fi>
+# Maintainer: Timo Teras <timo.teras@iki.fi>
+pkgname=fastjar
+pkgver=0.98
+pkgrel=3
+pkgdesc="A fast implementation of Java Archiver"
+url="http://savannah.nongnu.org/projects/fastjar"
+arch="all"
+license="GPL-2.0"
+depends=
+makedepends="zlib-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://download.savannah.gnu.org/releases/$pkgname/$pkgname-$pkgver.tar.gz
+ 0001-Properly-zero-terminate-filename.patch
+ 0002-Fix-write-return-value-check.patch
+ "
+
+prepare() {
+ cd "$builddir"
+ update_config_sub
+ default_prepare
+}
+
+build() {
+ cd "$builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var
+ make
+}
+
+check() {
+ cd "$builddir"
+ make check
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install
+ rm -rf "$pkgdir"/usr/lib/charset.alias
+ rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
+}
+
+sha512sums="c0f9fca7b58d6acd00b90a5184dbde9ba3ffc5bf4d69512743e450649a272baf1f6af98b15d79d2b53990eaf84ef402c986035e6b615a19e35ed424348143903 fastjar-0.98.tar.gz
+0aa74753c008e20f009dc5f84fc9219668c1365b2c53012e32ed1b8cc216c4833d8d1af80af8eb9e138b0c7f4fcda207448ff57941184dbfe71f7d4cd08392ea 0001-Properly-zero-terminate-filename.patch
+f4ae60d70f2c547bebd6c3fc1baaa0e959de54c36a667b2c0d9526e87e5604fbef29b4ab20a4140306157b98528a16744a8b7dfb14ff4781fb2fe196b00665d8 0002-Fix-write-return-value-check.patch"